#include "ResourceNode.h"

#include <sstream>

using namespace std;
using namespace boost;

namespace rci {

ResourceNode::ResourceNode(string name) :
    nodename(name) {
}

ResourceNode::~ResourceNode() {
}

string ResourceNode::print() const {
    ostringstream outstream(ostringstream::out);
    outstream.precision(3); // Precision when printing double values
    outstream << "<ResourceNode \"" << this->nodename << "\">" << endl;
    return outstream.str();
}

}
