#include "Synchronizer.h"

using namespace std;

namespace rci {

Synchronizer::Synchronizer(const std::string &sname) :
    _onlyReceive(true), busy(false), name(sname) {
}

Synchronizer::~Synchronizer() {
}

void Synchronizer::process() {
    this->processAsync();
    this->waitForProcessAsync();
}

bool Synchronizer::start() {
    this->busy = true;
    return true;
}

bool Synchronizer::stop() {
    this->busy = false;
    return true;
}

bool Synchronizer::tooBusy() const {
    return this->busy;
}

}
