#pragma once

#include <iostream>

#include <cca/dto/DataTransferObject.h>
#include "cca/dto/ContainingDoubles.h"

namespace rci {

class Phase;
typedef boost::shared_ptr<Phase> PhasePtr;

/**
 * Domain object, representing Phase values.
 * @ingroup DTO
 */
class Phase: public cca::DataTransferObject, public cca::ContainingDoubles {

public:
    Phase();
    Phase(double value);

protected:
    /**
     * Print function
     */
    virtual std::string print() const;
};

}
